Skip to main content
GET
/
conversations
/
{conversation_id}
/
variables
Error
A valid request URL is required to generate request examples
{
  "limit": 20,
  "has_more": false,
  "data": [
    {
      "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
      "name": "user_preference",
      "value_type": "string",
      "value": "dark_mode",
      "description": "User preference setting",
      "created_at": 1705407629,
      "updated_at": 1705411229
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

conversation_id
string
required

Conversation ID.

Query Parameters

user
string

The user identifier.

last_id
string

The ID of the last record on the current page (for pagination).

limit
integer
default:20

Number of records to return.

Required range: 1 <= x <= 100
variable_name
string

Filter variables by a specific name.

Required string length: 1 - 255

Response

Successfully retrieved conversation variables.

limit
integer

Number of items per page.

has_more
boolean

Whether there is a next page.

data
object[]

List of conversation variables.